samba-pidl-4.7.12-1.1.mga6.noarch.rpm


Advertisement

Description

samba-pidl - Perl IDL compiler

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates i586
Package filename samba-pidl-4.7.12-1.1.mga6.noarch.rpm
Package name samba-pidl
Package version 4.7.12
Package release 1.1.mga6
Package architecture noarch
Package type rpm
Category Development/Tools
Homepage http://www.samba.org/
License GPLv3+ and LGPLv3+
Maintainer -
Download size 98.29 KB
Installed size 468.21 KB
The samba-pidl package contains the Perl IDL compiler used by Samba
and Wireshark to parse IDL and similar protocols

Alternatives

Package Version Architecture Repository
samba-pidl-4.7.12-1.2.mga6.noarch.rpm 4.7.12 noarch Mageia Core Updates
samba-pidl-4.7.12-1.2.mga6.noarch.rpm 4.7.12 noarch Mageia Core Updates
samba-pidl-4.7.12-1.1.mga6.noarch.rpm 4.7.12 noarch Mageia Core Updates
samba-pidl-4.6.16-1.mga6.noarch.rpm 4.6.16 noarch Mageia Core Updates
samba-pidl-4.6.16-1.mga6.noarch.rpm 4.6.16 noarch Mageia Core Updates
samba-pidl-4.6.12-1.1.mga6.noarch.rpm 4.6.12 noarch Mageia Core Updates
samba-pidl-4.6.12-1.1.mga6.noarch.rpm 4.6.12 noarch Mageia Core Updates
samba-pidl-4.6.12-1.mga6.noarch.rpm 4.6.12 noarch Mageia Core Updates
samba-pidl-4.6.12-1.mga6.noarch.rpm 4.6.12 noarch Mageia Core Updates
samba-pidl-4.6.7-1.mga6.noarch.rpm 4.6.7 noarch Mageia Core Updates
samba-pidl-4.6.7-1.mga6.noarch.rpm 4.6.7 noarch Mageia Core Updates
samba-pidl-4.6.5-1.mga6.noarch.rpm 4.6.5 noarch Mageia Core
samba-pidl-4.6.5-1.mga6.noarch.rpm 4.6.5 noarch Mageia Core
samba-pidl - - -

Requires

Name Value
perl(Exporter) -
perl(File::Basename) -
perl(FindBin) -
perl(Getopt::Long) -
perl(Parse::Pidl) -
perl(Parse::Pidl::CUtil) -
perl(Parse::Pidl::Dump) -
perl(Parse::Pidl::Expr) -
perl(Parse::Pidl::IDL) -
perl(Parse::Pidl::NDR) -
perl(Parse::Pidl::ODL) -
perl(Parse::Pidl::Samba4) -
perl(Parse::Pidl::Samba4::COM::Header) -
perl(Parse::Pidl::Samba4::Header) -
perl(Parse::Pidl::Typelist) -
perl(Parse::Pidl::Util) -
perl(Parse::Pidl::Wireshark::Conformance) -
perl(Parse::Yapp) -
perl(Parse::Yapp::Driver) -
perl(strict) -
perl(vars) -
perl-base >= 2:5.22.3

Provides

Name Value
perl(Parse::Pidl) == 0.20.0
perl(Parse::Pidl::CUtil) == 0.10.0
perl(Parse::Pidl::Compat) == 0.10.0
perl(Parse::Pidl::Dump) == 0.10.0
perl(Parse::Pidl::Expr) -
perl(Parse::Pidl::IDL) -
perl(Parse::Pidl::NDR) == 0.10.0
perl(Parse::Pidl::ODL) == 0.10.0
perl(Parse::Pidl::Samba3::ClientNDR) == 0.10.0
perl(Parse::Pidl::Samba3::ServerNDR) == 0.10.0
perl(Parse::Pidl::Samba4) == 0.10.0
perl(Parse::Pidl::Samba4::COM::Header) == 0.10.0
perl(Parse::Pidl::Samba4::COM::Proxy) == 0.10.0
perl(Parse::Pidl::Samba4::COM::Stub) == 0.10.0
perl(Parse::Pidl::Samba4::Header) == 0.10.0
perl(Parse::Pidl::Samba4::NDR::Client) == 0.10.0
perl(Parse::Pidl::Samba4::NDR::Parser) == 0.10.0
perl(Parse::Pidl::Samba4::NDR::Server) == 0.10.0
perl(Parse::Pidl::Samba4::Python) == 0.10.0
perl(Parse::Pidl::Samba4::TDR) == 0.10.0
perl(Parse::Pidl::Samba4::Template) == 0.10.0
perl(Parse::Pidl::Typelist) == 0.10.0
perl(Parse::Pidl::Util) == 0.10.0
perl(Parse::Pidl::Wireshark::Conformance) == 0.10.0
perl(Parse::Pidl::Wireshark::NDR) == 0.10.0
samba-pidl == 4.7.12-1.1.mga6

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package samba-pidl-4.7.12-1.1.mga6.noarch.rpm
Source Package samba-4.7.12-1.1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install samba-pidl rpm package:
    # urpmi samba-pidl

Files

Path
/usr/bin/pidl
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/CUtil.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Compat.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Dump.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Expr.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/IDL.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/NDR.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/ODL.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Samba4.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Typelist.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Util.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Samba3/ClientNDR.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Samba3/ServerNDR.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Samba4/Header.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Samba4/Python.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Samba4/TDR.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Samba4/Template.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Samba4/COM/Header.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Samba4/COM/Proxy.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Samba4/COM/Stub.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Samba4/NDR/Client.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Samba4/NDR/Parser.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Samba4/NDR/Server.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Wireshark/Conformance.pm
/usr/lib/perl5/vendor_perl/5.22.3/Parse/Pidl/Wireshark/NDR.pm
/usr/share/man/man1/pidl.1.xz
/usr/share/man/man3/Parse::Pidl::Dump.3pm.xz
/usr/share/man/man3/Parse::Pidl::NDR.3pm.xz
/usr/share/man/man3/Parse::Pidl::Util.3pm.xz
/usr/share/man/man3/Parse::Pidl::Wireshark::Conformance.3pm.xz
/usr/share/man/man3/Parse::Pidl::Wireshark::NDR.3pm.xz

Changelog

2018-12-31 - buchan <buchan> 4.7.12-1.1.mga6
+ Revision: 1347360
- Update to 4.7.12 for CVE-2018-14629, CVE-2018-16841,
CVE-2018-16851, CVE-2018-16853
Upgrade dependencies (tdb 1.3.14, tevent 0.9.36, ldb 1.2.3)
Clean up file lists
- Security updates for CVE-2018-1057 and CVE-2018-1050
+ bcornec <bcornec>
- update to upstream samba-4.6.16 to fix mga#23444
+ luigiwalser <luigiwalser>
- 4.6.12
- 4.6.8
+ zezinho <zezinho>
- add dummy_client
+ semiletov <semiletov>
- spec update to 4.6.11
+ neoclust <neoclust>
- New version 4.6.7 ( Fixes CVE-2017-11103 (mga#21482)
2017-06-08 - luigiwalser <luigiwalser> 4.6.5-1.mga6
+ Revision: 1107268
- 4.6.5
2017-05-25 - neoclust <neoclust> 4.6.4-1.mga6
+ Revision: 1104505
- New version 4.6.4
2017-05-24 - luigiwalser <luigiwalser> 4.5.10-1.mga6
+ Revision: 1104363
- 4.5.10 (fixes CVE-2017-7494)
2017-05-23 - luigiwalser <luigiwalser> 4.5.9-1.mga6
+ Revision: 1104140
- 4.5.9
2017-03-31 - luigiwalser <luigiwalser> 4.5.8-1.mga6
+ Revision: 1095490
- 4.5.8
2017-03-23 - luigiwalser <luigiwalser> 4.5.7-1.mga6
+ Revision: 1094590
- 4.5.7 (fixes CVE-2017-2619)
- fix permissions of spool directory (mga#20513)
2017-03-14 - luigiwalser <luigiwalser> 4.5.6-1.mga6
+ Revision: 1092515
- 4.5.6
2017-03-12 - wally <wally> 4.5.5-2.mga6
+ Revision: 1092137
- add obsoletes to fix update from mga5 (mga#20456)
2017-01-31 - luigiwalser <luigiwalser> 4.5.5-1.mga6
+ Revision: 1084350
- 4.5.5

See Also

Package Description
samba-test-4.6.12-1.1.mga6.i586.rpm Testing tools for Samba servers and clients
samba-test-4.6.12-1.mga6.i586.rpm Testing tools for Samba servers and clients
samba-test-4.6.16-1.mga6.i586.rpm Testing tools for Samba servers and clients
samba-test-4.6.7-1.mga6.i586.rpm Testing tools for Samba servers and clients
samba-test-4.7.12-1.1.mga6.i586.rpm Testing tools for Samba servers and clients
samba-test-4.7.12-1.2.mga6.i586.rpm Testing tools for Samba servers and clients
samba-winbind-4.6.12-1.1.mga6.i586.rpm Samba winbind
samba-winbind-4.6.12-1.mga6.i586.rpm Samba winbind
samba-winbind-4.6.16-1.mga6.i586.rpm Samba winbind
samba-winbind-4.6.7-1.mga6.i586.rpm Samba winbind
samba-winbind-4.7.12-1.1.mga6.i586.rpm Samba winbind
samba-winbind-4.7.12-1.2.mga6.i586.rpm Samba winbind
samba-winbind-clients-4.6.12-1.1.mga6.i586.rpm Samba winbind clients
samba-winbind-clients-4.6.12-1.mga6.i586.rpm Samba winbind clients
samba-winbind-clients-4.6.16-1.mga6.i586.rpm Samba winbind clients
Advertisement
Advertisement